// Code generated by protoc-gen-go-grpc. DO NOT EDIT.

package private

import (
	context "context"
	empty "github.com/golang/protobuf/ptypes/empty"
	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
)

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
// Requires gRPC-Go v1.32.0 or later.
const _ = grpc.SupportPackageIsVersion7

// LocaleServiceClient is the client API for LocaleService service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://pkg.go.dev/google.golang.org/grpc/?tab=doc#ClientConn.NewStream.
type LocaleServiceClient interface {
	GetLocale(ctx context.Context, in *GetLocaleRequest, opts ...grpc.CallOption) (*GetLocaleResponse, error)
	CreateLocale(ctx context.Context, in *CreateLocaleRequest, opts ...grpc.CallOption) (*CreateLocaleResponse, error)
	UpdateLocale(ctx context.Context, in *UpdateLocaleRequest, opts ...grpc.CallOption) (*UpdateLocaleResponse, error)
	DeleteLocale(ctx context.Context, in *DeleteLocaleRequest, opts ...grpc.CallOption) (*empty.Empty, error)
	ListLocales(ctx context.Context, in *ListLocalesRequest, opts ...grpc.CallOption) (*ListLocalesResponse, error)
	GetDefault(ctx context.Context, in *GetDefaultRequest, opts ...grpc.CallOption) (*GetDefaultResponse, error)
}

type localeServiceClient struct {
	cc grpc.ClientConnInterface
}

func NewLocaleServiceClient(cc grpc.ClientConnInterface) LocaleServiceClient {
	return &localeServiceClient{cc}
}

func (c *localeServiceClient) GetLocale(ctx context.Context, in *GetLocaleRequest, opts ...grpc.CallOption) (*GetLocaleResponse, error) {
	out := new(GetLocaleResponse)
	err := c.cc.Invoke(ctx, "/language.service.v1.private.LocaleService/GetLocale", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *localeServiceClient) CreateLocale(ctx context.Context, in *CreateLocaleRequest, opts ...grpc.CallOption) (*CreateLocaleResponse, error) {
	out := new(CreateLocaleResponse)
	err := c.cc.Invoke(ctx, "/language.service.v1.private.LocaleService/CreateLocale", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *localeServiceClient) UpdateLocale(ctx context.Context, in *UpdateLocaleRequest, opts ...grpc.CallOption) (*UpdateLocaleResponse, error) {
	out := new(UpdateLocaleResponse)
	err := c.cc.Invoke(ctx, "/language.service.v1.private.LocaleService/UpdateLocale", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *localeServiceClient) DeleteLocale(ctx context.Context, in *DeleteLocaleRequest, opts ...grpc.CallOption) (*empty.Empty, error) {
	out := new(empty.Empty)
	err := c.cc.Invoke(ctx, "/language.service.v1.private.LocaleService/DeleteLocale", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *localeServiceClient) ListLocales(ctx context.Context, in *ListLocalesRequest, opts ...grpc.CallOption) (*ListLocalesResponse, error) {
	out := new(ListLocalesResponse)
	err := c.cc.Invoke(ctx, "/language.service.v1.private.LocaleService/ListLocales", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *localeServiceClient) GetDefault(ctx context.Context, in *GetDefaultRequest, opts ...grpc.CallOption) (*GetDefaultResponse, error) {
	out := new(GetDefaultResponse)
	err := c.cc.Invoke(ctx, "/language.service.v1.private.LocaleService/GetDefault", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// LocaleServiceServer is the server API for LocaleService service.
// All implementations must embed UnimplementedLocaleServiceServer
// for forward compatibility
type LocaleServiceServer interface {
	GetLocale(context.Context, *GetLocaleRequest) (*GetLocaleResponse, error)
	CreateLocale(context.Context, *CreateLocaleRequest) (*CreateLocaleResponse, error)
	UpdateLocale(context.Context, *UpdateLocaleRequest) (*UpdateLocaleResponse, error)
	DeleteLocale(context.Context, *DeleteLocaleRequest) (*empty.Empty, error)
	ListLocales(context.Context, *ListLocalesRequest) (*ListLocalesResponse, error)
	GetDefault(context.Context, *GetDefaultRequest) (*GetDefaultResponse, error)
	mustEmbedUnimplementedLocaleServiceServer()
}

// UnimplementedLocaleServiceServer must be embedded to have forward compatible implementations.
type UnimplementedLocaleServiceServer struct {
}

func (UnimplementedLocaleServiceServer) GetLocale(context.Context, *GetLocaleRequest) (*GetLocaleResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetLocale not implemented")
}
func (UnimplementedLocaleServiceServer) CreateLocale(context.Context, *CreateLocaleRequest) (*CreateLocaleResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method CreateLocale not implemented")
}
func (UnimplementedLocaleServiceServer) UpdateLocale(context.Context, *UpdateLocaleRequest) (*UpdateLocaleResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method UpdateLocale not implemented")
}
func (UnimplementedLocaleServiceServer) DeleteLocale(context.Context, *DeleteLocaleRequest) (*empty.Empty, error) {
	return nil, status.Errorf(codes.Unimplemented, "method DeleteLocale not implemented")
}
func (UnimplementedLocaleServiceServer) ListLocales(context.Context, *ListLocalesRequest) (*ListLocalesResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListLocales not implemented")
}
func (UnimplementedLocaleServiceServer) GetDefault(context.Context, *GetDefaultRequest) (*GetDefaultResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetDefault not implemented")
}
func (UnimplementedLocaleServiceServer) mustEmbedUnimplementedLocaleServiceServer() {}

// UnsafeLocaleServiceServer may be embedded to opt out of forward compatibility for this service.
// Use of this interface is not recommended, as added methods to LocaleServiceServer will
// result in compilation errors.
type UnsafeLocaleServiceServer interface {
	mustEmbedUnimplementedLocaleServiceServer()
}

func RegisterLocaleServiceServer(s grpc.ServiceRegistrar, srv LocaleServiceServer) {
	s.RegisterService(&LocaleService_ServiceDesc, srv)
}

func _LocaleService_GetLocale_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetLocaleRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(LocaleServiceServer).GetLocale(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/language.service.v1.private.LocaleService/GetLocale",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(LocaleServiceServer).GetLocale(ctx, req.(*GetLocaleRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _LocaleService_CreateLocale_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(CreateLocaleRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(LocaleServiceServer).CreateLocale(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/language.service.v1.private.LocaleService/CreateLocale",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(LocaleServiceServer).CreateLocale(ctx, req.(*CreateLocaleRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _LocaleService_UpdateLocale_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(UpdateLocaleRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(LocaleServiceServer).UpdateLocale(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/language.service.v1.private.LocaleService/UpdateLocale",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(LocaleServiceServer).UpdateLocale(ctx, req.(*UpdateLocaleRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _LocaleService_DeleteLocale_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(DeleteLocaleRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(LocaleServiceServer).DeleteLocale(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/language.service.v1.private.LocaleService/DeleteLocale",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(LocaleServiceServer).DeleteLocale(ctx, req.(*DeleteLocaleRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _LocaleService_ListLocales_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ListLocalesRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(LocaleServiceServer).ListLocales(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/language.service.v1.private.LocaleService/ListLocales",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(LocaleServiceServer).ListLocales(ctx, req.(*ListLocalesRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _LocaleService_GetDefault_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetDefaultRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(LocaleServiceServer).GetDefault(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/language.service.v1.private.LocaleService/GetDefault",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(LocaleServiceServer).GetDefault(ctx, req.(*GetDefaultRequest))
	}
	return interceptor(ctx, in, info, handler)
}

// LocaleService_ServiceDesc is the grpc.ServiceDesc for LocaleService service.
// It's only intended for direct use with grpc.RegisterService,
// and not to be introspected or modified (even as a copy)
var LocaleService_ServiceDesc = grpc.ServiceDesc{
	ServiceName: "language.service.v1.private.LocaleService",
	HandlerType: (*LocaleServiceServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "GetLocale",
			Handler:    _LocaleService_GetLocale_Handler,
		},
		{
			MethodName: "CreateLocale",
			Handler:    _LocaleService_CreateLocale_Handler,
		},
		{
			MethodName: "UpdateLocale",
			Handler:    _LocaleService_UpdateLocale_Handler,
		},
		{
			MethodName: "DeleteLocale",
			Handler:    _LocaleService_DeleteLocale_Handler,
		},
		{
			MethodName: "ListLocales",
			Handler:    _LocaleService_ListLocales_Handler,
		},
		{
			MethodName: "GetDefault",
			Handler:    _LocaleService_GetDefault_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "v1/private/locale.proto",
}
